using System;
using System.Collections.Generic;
using System.Text;
using GTANetworkAPI;
using ReallifeGamemode.Server.Core.API;

namespace ReallifeGamemode.Server.Core.RageMP
{
  class RageBlipAPI : IBlipAPI
  {
    public IBlip CreateBlip(uint sprite, Position position, string name, byte color, float scale, byte alpha = 255, float drawDistance = 0, bool shortRange = false)
    {
      var blip = NAPI.Blip.CreateBlip(sprite, position.ToVector3(), scale, color, name, alpha, drawDistance, shortRange);
      return new RageBlip(blip);
    }
  }
}
